VTK: vtkByteSwap Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
vtkByteSwap Class Reference

perform machine dependent byte swapping More...

`#include <vtkByteSwap.h>`

Inheritance diagram for vtkByteSwap:
[legend]
Collaboration diagram for vtkByteSwap:
[legend]

## Public Types
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkByteSwap * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
| VTK_BYTE_SWAP_DECL (float)
| VTK_BYTE_SWAP_DECL (double)
| VTK_BYTE_SWAP_DECL (char)
| VTK_BYTE_SWAP_DECL (short)
| VTK_BYTE_SWAP_DECL (int)
| VTK_BYTE_SWAP_DECL (long)
| VTK_BYTE_SWAP_DECL (long long)
| VTK_BYTE_SWAP_DECL (signed char)
| VTK_BYTE_SWAP_DECL (unsigned char)
| VTK_BYTE_SWAP_DECL (unsigned short)
| VTK_BYTE_SWAP_DECL (unsigned int)
| VTK_BYTE_SWAP_DECL (unsigned long)
| VTK_BYTE_SWAP_DECL (unsigned long long)
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkByteSwap * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkByteSwap * | SafeDownCast (vtkObjectBase *o)
static void | SwapVoidRange (void *buffer, size_t numWords, size_t wordSize)
| Swaps the bytes of a buffer. More...
static void | Swap2LE (void *p)
| Swap 2, 4, or 8 bytes for storage as Little Endian. More...
static void | Swap4LE (void *p)
| Swap 2, 4, or 8 bytes for storage as Little Endian. More...
static void | Swap8LE (void *p)
| Swap 2, 4, or 8 bytes for storage as Little Endian. More...
static void | Swap2LERange (void *p, size_t num)
| Swap a block of 2-, 4-, or 8-byte segments for storage as Little Endian. More...
static void | Swap4LERange (void *p, size_t num)
| Swap a block of 2-, 4-, or 8-byte segments for storage as Little Endian. More...
static void | Swap8LERange (void *p, size_t num)
| Swap a block of 2-, 4-, or 8-byte segments for storage as Little Endian. More...
static bool | SwapWrite2LERange (void const *p, size_t num, FILE *f)
| Swap a block of 2-, 4-, or 8-byte segments for storage as Little Endian. More...
static bool | SwapWrite4LERange (void const *p, size_t num, FILE *f)
| Swap a block of 2-, 4-, or 8-byte segments for storage as Little Endian. More...
static bool | SwapWrite8LERange (void const *p, size_t num, FILE *f)
| Swap a block of 2-, 4-, or 8-byte segments for storage as Little Endian. More...
static void | SwapWrite2LERange (void const *p, size_t num, ostream *os)
| Swap a block of 2-, 4-, or 8-byte segments for storage as Little Endian. More...
static void | SwapWrite4LERange (void const *p, size_t num, ostream *os)
| Swap a block of 2-, 4-, or 8-byte segments for storage as Little Endian. More...
static void | SwapWrite8LERange (void const *p, size_t num, ostream *os)
| Swap a block of 2-, 4-, or 8-byte segments for storage as Little Endian. More...
static void | Swap2BE (void *p)
| Swap 2, 4, or 8 bytes for storage as Big Endian. More...
static void | Swap4BE (void *p)
| Swap 2, 4, or 8 bytes for storage as Big Endian. More...
static void | Swap8BE (void *p)
| Swap 2, 4, or 8 bytes for storage as Big Endian. More...
static void | Swap2BERange (void *p, size_t num)
| Swap a block of 2-, 4-, or 8-byte segments for storage as Big Endian. More...
static void | Swap4BERange (void *p, size_t num)
| Swap a block of 2-, 4-, or 8-byte segments for storage as Big Endian. More...
static void | Swap8BERange (void *p, size_t num)
| Swap a block of 2-, 4-, or 8-byte segments for storage as Big Endian. More...
static bool | SwapWrite2BERange (void const *p, size_t num, FILE *f)
| Swap a block of 2-, 4-, or 8-byte segments for storage as Big Endian. More...
static bool | SwapWrite4BERange (void const *p, size_t num, FILE *f)
| Swap a block of 2-, 4-, or 8-byte segments for storage as Big Endian. More...
static bool | SwapWrite8BERange (void const *p, size_t num, FILE *f)
| Swap a block of 2-, 4-, or 8-byte segments for storage as Big Endian. More...
static void | SwapWrite2BERange (void const *p, size_t num, ostream *os)
| Swap a block of 2-, 4-, or 8-byte segments for storage as Big Endian. More...
static void | SwapWrite4BERange (void const *p, size_t num, ostream *os)
| Swap a block of 2-, 4-, or 8-byte segments for storage as Big Endian. More...
static void | SwapWrite8BERange (void const *p, size_t num, ostream *os)
| Swap a block of 2-, 4-, or 8-byte segments for storage as Big Endian. More...
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkByteSwap ()
| ~vtkByteSwap () override
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Detailed Description

perform machine dependent byte swapping

vtkByteSwap is used by other classes to perform machine dependent byte swapping. Byte swapping is often used when reading or writing binary files.

Tests:
  vtkByteSwap (Tests)

Definition at line 22 of file vtkByteSwap.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkObject vtkByteSwap::Superclass

Definition at line 26 of file vtkByteSwap.h.

## Constructor & Destructor Documentation

## ◆ vtkByteSwap()

vtkByteSwap::vtkByteSwap | ( |  | ) |
| protected

## ◆ ~vtkByteSwap()

vtkByteSwap::~vtkByteSwap | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ New()

static vtkByteSwap* vtkByteSwap::New | ( |  | ) |
| static

## ◆ IsTypeOf()

static vtkTypeBool vtkByteSwap::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkByteSwap::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkObjectBase.

## ◆ SafeDownCast()

static vtkByteSwap* vtkByteSwap::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkByteSwap::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

## ◆ NewInstance()

vtkByteSwap* vtkByteSwap::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkByteSwap::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkObjectBase.

## ◆ VTK_BYTE_SWAP_DECL() [1/13]

vtkByteSwap::VTK_BYTE_SWAP_DECL | ( | float |  | ) |

## ◆ VTK_BYTE_SWAP_DECL() [2/13]

vtkByteSwap::VTK_BYTE_SWAP_DECL | ( | double |  | ) |

## ◆ VTK_BYTE_SWAP_DECL() [3/13]

vtkByteSwap::VTK_BYTE_SWAP_DECL | ( | char |  | ) |

## ◆ VTK_BYTE_SWAP_DECL() [4/13]

vtkByteSwap::VTK_BYTE_SWAP_DECL | ( | short |  | ) |

## ◆ VTK_BYTE_SWAP_DECL() [5/13]

vtkByteSwap::VTK_BYTE_SWAP_DECL | ( | int |  | ) |

## ◆ VTK_BYTE_SWAP_DECL() [6/13]

vtkByteSwap::VTK_BYTE_SWAP_DECL | ( | long |  | ) |

## ◆ VTK_BYTE_SWAP_DECL() [7/13]

vtkByteSwap::VTK_BYTE_SWAP_DECL | ( | long long |  | ) |

## ◆ VTK_BYTE_SWAP_DECL() [8/13]

vtkByteSwap::VTK_BYTE_SWAP_DECL | ( | signed char |  | ) |

## ◆ VTK_BYTE_SWAP_DECL() [9/13]

vtkByteSwap::VTK_BYTE_SWAP_DECL | ( | unsigned char |  | ) |

## ◆ VTK_BYTE_SWAP_DECL() [10/13]

vtkByteSwap::VTK_BYTE_SWAP_DECL | ( | unsigned short |  | ) |

## ◆ VTK_BYTE_SWAP_DECL() [11/13]

vtkByteSwap::VTK_BYTE_SWAP_DECL | ( | unsigned int |  | ) |

## ◆ VTK_BYTE_SWAP_DECL() [12/13]

vtkByteSwap::VTK_BYTE_SWAP_DECL | ( | unsigned long |  | ) |

## ◆ VTK_BYTE_SWAP_DECL() [13/13]

vtkByteSwap::VTK_BYTE_SWAP_DECL | ( | unsigned long long |  | ) |

## ◆ Swap2LE()

static void vtkByteSwap::Swap2LE | ( | void * | p | ) |
| static

Swap 2, 4, or 8 bytes for storage as Little Endian.

## ◆ Swap4LE()

static void vtkByteSwap::Swap4LE | ( | void * | p | ) |
| static

Swap 2, 4, or 8 bytes for storage as Little Endian.

## ◆ Swap8LE()

static void vtkByteSwap::Swap8LE | ( | void * | p | ) |
| static

Swap 2, 4, or 8 bytes for storage as Little Endian.

## ◆ Swap2LERange()

static void vtkByteSwap::Swap2LERange | ( | void * | p,
|  | size_t | num
| ) |  |
| static

Swap a block of 2-, 4-, or 8-byte segments for storage as Little Endian.

## ◆ Swap4LERange()

static void vtkByteSwap::Swap4LERange | ( | void * | p,
|  | size_t | num
| ) |  |
| static

Swap a block of 2-, 4-, or 8-byte segments for storage as Little Endian.

## ◆ Swap8LERange()

static void vtkByteSwap::Swap8LERange | ( | void * | p,
|  | size_t | num
| ) |  |
| static

Swap a block of 2-, 4-, or 8-byte segments for storage as Little Endian.

## ◆ SwapWrite2LERange() [1/2]

static bool vtkByteSwap::SwapWrite2LERange | ( | void const * | p,
|  | size_t | num,
|  | FILE * | f
| ) |  |
| static

Swap a block of 2-, 4-, or 8-byte segments for storage as Little Endian.

The results are written directly to a file to avoid temporary storage.

## ◆ SwapWrite4LERange() [1/2]

static bool vtkByteSwap::SwapWrite4LERange | ( | void const * | p,
|  | size_t | num,
|  | FILE * | f
| ) |  |
| static

Swap a block of 2-, 4-, or 8-byte segments for storage as Little Endian.

The results are written directly to a file to avoid temporary storage.

## ◆ SwapWrite8LERange() [1/2]

static bool vtkByteSwap::SwapWrite8LERange | ( | void const * | p,
|  | size_t | num,
|  | FILE * | f
| ) |  |
| static

Swap a block of 2-, 4-, or 8-byte segments for storage as Little Endian.

The results are written directly to a file to avoid temporary storage.

## ◆ SwapWrite2LERange() [2/2]

static void vtkByteSwap::SwapWrite2LERange | ( | void const * | p,
|  | size_t | num,
|  | ostream * | os
| ) |  |
| static

Swap a block of 2-, 4-, or 8-byte segments for storage as Little Endian.

The results are written directly to a file to avoid temporary storage.

## ◆ SwapWrite4LERange() [2/2]

static void vtkByteSwap::SwapWrite4LERange | ( | void const * | p,
|  | size_t | num,
|  | ostream * | os
| ) |  |
| static

Swap a block of 2-, 4-, or 8-byte segments for storage as Little Endian.

The results are written directly to a file to avoid temporary storage.

## ◆ SwapWrite8LERange() [2/2]

static void vtkByteSwap::SwapWrite8LERange | ( | void const * | p,
|  | size_t | num,
|  | ostream * | os
| ) |  |
| static

Swap a block of 2-, 4-, or 8-byte segments for storage as Little Endian.

The results are written directly to a file to avoid temporary storage.

## ◆ Swap2BE()

static void vtkByteSwap::Swap2BE | ( | void * | p | ) |
| static

Swap 2, 4, or 8 bytes for storage as Big Endian.

## ◆ Swap4BE()

static void vtkByteSwap::Swap4BE | ( | void * | p | ) |
| static

Swap 2, 4, or 8 bytes for storage as Big Endian.

## ◆ Swap8BE()

static void vtkByteSwap::Swap8BE | ( | void * | p | ) |
| static

Swap 2, 4, or 8 bytes for storage as Big Endian.

## ◆ Swap2BERange()

static void vtkByteSwap::Swap2BERange | ( | void * | p,
|  | size_t | num
| ) |  |
| static

Swap a block of 2-, 4-, or 8-byte segments for storage as Big Endian.

## ◆ Swap4BERange()

static void vtkByteSwap::Swap4BERange | ( | void * | p,
|  | size_t | num
| ) |  |
| static

Swap a block of 2-, 4-, or 8-byte segments for storage as Big Endian.

## ◆ Swap8BERange()

static void vtkByteSwap::Swap8BERange | ( | void * | p,
|  | size_t | num
| ) |  |
| static

Swap a block of 2-, 4-, or 8-byte segments for storage as Big Endian.

## ◆ SwapWrite2BERange() [1/2]

static bool vtkByteSwap::SwapWrite2BERange | ( | void const * | p,
|  | size_t | num,
|  | FILE * | f
| ) |  |
| static

Swap a block of 2-, 4-, or 8-byte segments for storage as Big Endian.

The results are written directly to a file to avoid temporary storage.

## ◆ SwapWrite4BERange() [1/2]

static bool vtkByteSwap::SwapWrite4BERange | ( | void const * | p,
|  | size_t | num,
|  | FILE * | f
| ) |  |
| static

Swap a block of 2-, 4-, or 8-byte segments for storage as Big Endian.

The results are written directly to a file to avoid temporary storage.

## ◆ SwapWrite8BERange() [1/2]

static bool vtkByteSwap::SwapWrite8BERange | ( | void const * | p,
|  | size_t | num,
|  | FILE * | f
| ) |  |
| static

Swap a block of 2-, 4-, or 8-byte segments for storage as Big Endian.

The results are written directly to a file to avoid temporary storage.

## ◆ SwapWrite2BERange() [2/2]

static void vtkByteSwap::SwapWrite2BERange | ( | void const * | p,
|  | size_t | num,
|  | ostream * | os
| ) |  |
| static

Swap a block of 2-, 4-, or 8-byte segments for storage as Big Endian.

The results are written directly to a file to avoid temporary storage.

## ◆ SwapWrite4BERange() [2/2]

static void vtkByteSwap::SwapWrite4BERange | ( | void const * | p,
|  | size_t | num,
|  | ostream * | os
| ) |  |
| static

Swap a block of 2-, 4-, or 8-byte segments for storage as Big Endian.

The results are written directly to a file to avoid temporary storage.

## ◆ SwapWrite8BERange() [2/2]

static void vtkByteSwap::SwapWrite8BERange | ( | void const * | p,
|  | size_t | num,
|  | ostream * | os
| ) |  |
| static

Swap a block of 2-, 4-, or 8-byte segments for storage as Big Endian.

The results are written directly to a file to avoid temporary storage.

## ◆ SwapVoidRange()

static void vtkByteSwap::SwapVoidRange | ( | void * | buffer,
|  | size_t | numWords,
|  | size_t | wordSize
| ) |  |
| static

Swaps the bytes of a buffer.

Uses an arbitrary word size, but assumes the word size is divisible by two.

The documentation for this class was generated from the following file:

- Common/Core/vtkByteSwap.h